Bug 74756 - MAKEDEV hdX only makes 17 devices
MAKEDEV hdX only makes 17 devices
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: MAKEDEV (Show other bugs)
7.3
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-01 10:12 EDT by John McCarthy
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John McCarthy 2002-10-01 10:12:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
IDE devices can have up to 63 partitions but MAKEDEV only creates partitions
0-16.  My 40Gb drive has 22 partitions including my Linux home dir at partition 17.

Would a default of creating 33 partitions (0-32) be better especially for todays
larger disks?

My work around for now is to change /etc/makedev.d/linux-2.4.x to create 33
devices but see my related bug on fdisk.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.MAKEDEV hda
2.ls /dev/hda*
	

Actual Results:  only devices hda0-16 get created

Expected Results:  should at least create devices for the 22 partitions on my
hda drive.
Creating 0-32 would be a better default.

Additional info:

My system has all available up2date patches for RH 7.3 applied.
Comment 1 John McCarthy 2002-10-01 10:43:25 EDT
A related bug is #74762: fdisk only handles partitions up to 16
Comment 2 David Balažic 2003-10-23 10:00:55 EDT
Why not create device files for all 64 possible partitions ?
Comment 3 Bill Nottingham 2006-08-05 00:22:17 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2006-10-18 10:43:22 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.